Subject: Re: bug#56791: [PATCH] Add window arg to splitting commands, new commands to split root window

From: Juri Linkov <[email-masked]>
Date: Wed, 27 Jul 2022 23:07:02 +0300

>>> Some proposed new commands and relevant bindings.
>>>
>>> Motivation: sometimes, I have a complex window setup, and I want a
>>> large new window to work in for a while, taking up a high proportion
>>> of the frame. The currently-available interactive commands for
>>> splitting windows only operate on the the selected window.
>>
>> Thanks.  I think in bug#56767 there is another implementation of the
>> same use case.
>
> Adding a new arg 'window-to-split' is nicer, so these patches are welcome.

But need to be careful with adding 'window-to-split' arg to 'split-window-below'.
Its split-window-keep-point=nil logic might not be applicable to some windows.